#!/bin/sh

die() {
        echo >&2 "$@"
        exit 1
}

usage() {
        die "Usage: $0 $USAGE"
}

USAGE='<source mcs-file> <dest xsvf-file>'

if [ $# -ne 2 ]; then
    usage
fi

if [ ! -r $1 ]; then
    die "Specified source file '$1' can't be read"
fi

DEST_DIR=`dirname $2`

if [ ! -d $DEST_DIR ]; then
    die "Specified dir '$DEST_DIR' does not exist"
fi

if [ ! -w $DEST_DIR ]; then
    die "Doesn't have write permision for '$DEST_DIR'"
fi

#impact -batch -intstyle >/dev/null <<END
impact -batch >/dev/null <<END
setMode -bs
setCable -port xsvf -file "$2"
addDevice -p 1 -part xc18v04
setAttribute -position 1 -attr configFileName -value "$1"
Program -e -v -p 1
quit
END
